Bug 26203 - Не работает в составе eclipse helios
: Не работает в составе eclipse helios
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/eclipse-cdt)
: unstable
: x86 Linux
: P3 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2011-08-31 18:14 by
Modified: 2011-09-21 16:29 (History)


Attachments
backtrace (2.89 KB, text/plain)
2011-08-31 18:14, Anatoly Lyutin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-08-31 18:14:52
Created an attachment (id=5084) [details]
backtrace

[vostok@localhost tmp]$ rpm -qa | grep eclipse
eclipse-cdt-7.0.1-alt1_5jpp6
eclipse-emf-2.6.0-alt1_2jpp6
eclipse-jdt-3.6.2-alt1_2jpp6
eclipse-nls-3.6.0.v20100814043401-alt1_2jpp6
tomcat5-jasper-eclipse-5.5.31-alt6_3jpp6
eclipse-rcp-3.6.2-alt1_2jpp6
eclipse-rse-3.2-alt1_1jpp6
eclipse-platform-3.6.2-alt1_2jpp6                                         
icu4j-eclipse-4.2.1-alt1_1jpp6                                               
eclipse-nls-ru-3.6.0.v20100814043401-alt1_2jpp6                              
eclipse-swt-3.6.2-alt1_2jpp6  

Ошибка при открытии проекта:
Could not open the editor: No editor descriptor for id
org.eclipse.cdt.ui.editor.CEditor
------- Comment #1 From 2011-08-31 18:23:20 -------
Вообще как-то дико странно - пакет eclipse-cdt-7.0.1-alt1_5jpp6 стоит, а в 
в секции "installed software" из диалога "about eclipse" его нет.
------- Comment #2 From 2011-08-31 18:35:20 -------
Так же нельзя создать C++ проект и в workspace/.metadata/.plugins упоминаная
плагина CDT нет.
------- Comment #3 From 2011-08-31 18:50:20 -------
Удаление eclipse, отодвигание ~/.eclipse, переустановка, как советуют в
https://bugs.launchpad.net/ubuntu/+source/eclipse/+bug/711007  не помогает.
------- Comment #4 From 2011-08-31 19:57:09 -------
эклипс протух -- он не обязан работать с новым xulrunner. 
я скоро буду собирать новую версию.
------- Comment #5 From 2011-09-02 15:24:35 -------
(В ответ на комментарий №4)
> эклипс протух -- он не обязан работать с новым xulrunner. 
> я скоро буду собирать новую версию.

Скачал с сайта eclipse версию для линукс, для разработки под C++. Работает без
проблем, наверное для cdt > 7.0 нужна версия платформы 3.7.0
------- Comment #6 From 2011-09-21 16:28:54 -------
C eclipse-platform-3.7.0-alt2_3jpp6 работает.